@import "variables";


//................Mixins..............

.border-radius(@val){
  -webkit-border-radius:@val;
  -moz-border-radius:@val;
  border-radius:@val;
}
.flexbox() {
  display: -webkit-box;
  display: -moz-box;
  display: -ms-flexbox;
  display: -webkit-flex;
  display: flex;
}

.flex(@values) {
  -webkit-box-flex: @values;
  -moz-box-flex:  @values;
  -webkit-flex:  @values;
  -ms-flex:  @values;
  flex:  @values;
}

.order(@val) {
  -webkit-box-ordinal-group: @val;
  -moz-box-ordinal-group: @val;
  -ms-flex-order: @val;
  -webkit-order: @val;
  order: @val;
}

.transform(@val)
{
  -webkit-transform: @val;
  -moz-transform: @val;
  -ms-transform: @val;
  -o-transform: @val;
  transform: @val;
}

.transition(@val){
  -webkit-transition: @val;
  -moz-transition: @val;
  transition: @val;
}

.auto-margin{
  margin:auto;
}

.align-and-justify(){
  &.flex-justify-start{
    justify-content: flex-start;
  }
  &.flex-justify-center{
    justify-content: center;
  }
  &.flex-justify-end{
    justify-content: flex-end;
  }
  &.flex-justify-end-small{
    @media @device-small{
      justify-content: flex-end;
    }
  }
  &.flex-justify-space-around{
    justify-content: space-around;
  }
  &.flex-justify-space-between{
    justify-content: space-between;
  }

  &.flex-justify-center-medium{
    @media @device-medium{
      justify-content: center;
    }
  }

  &.flex-align-start{
    align-items: flex-start;
  }
  &.flex-align-center{
    align-items: center;
  }
  &.flex-align-end{
    align-items: flex-end;
  }

}

.border-box(){
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}


.content-width(){
  @media screen {
    @media (max-width: 1023px) {
      width:100%;
      padding:0 50px;
    }
  }
  @media @device-small{
    padding:0;
  }
  width:70%;
  margin:0 auto;
}

.transparent-button(@val : @primary-color){
  position: relative;
  border: 2px solid @val;
  color: @val;
  .border-radius(8px);
  background: transparent !important;
  font-family: @semibold-font;
  .transition(all 0.2s ease-out);

  &:hover{
    color: white !important;
    background-color: @val !important;

    &:before{
      -webkit-animation: shine 0.5s 0s linear;
      -moz-animation: shine 0.5s 0s linear;
      animation: shine 1s 0s linear;
    }
    &:before{
      content: '';
      display: block;
      width: 0px;
      height: 86%;
      position: absolute;
      top: 7%;
      left: 0%;
      opacity: 0;
      background: white;
      box-shadow: 0 0 15px 3px white;
      .transform(skewX(-20deg));
    }
  }
}

.section-mobile-style(){
  @media @device-medium{
    padding:20px;
  }
}

.gradient-background(@val1,@val2){
  background: @val1; /* Old browsers */
  background: -moz-linear-gradient(top, @val1 0%, @val2 100%); /* FF3.6-15 */
  background: -webkit-linear-gradient(top, @val1 0%,@val2 100%); /* Chrome10-25,Safari5.1-6 */
  background: linear-gradient(to bottom, @val1 0%,@val2 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='@val1', endColorstr='@val2',GradientType=0 ); /* IE6-9 */
}

.partial-style(@val){
  a,button{
    &:hover{
      color:@val;
    }
  }
  button.primary,a.primary{
    background-color: @val;
    border:2px solid @val;
    &:hover{
      background-color: transparent;
      color:@val;
      //box-shadow: 0 0 0 1px @val;
    }
  }
  .transparent-button{
    .transparent-button(@val);
  }
  .livechat{
    background-position: -136px -50px;
  }
  .page-color{
    color:@val;
  }

  .switch input:checked + .slider {
    background-color: @val;
  }

  ul.list{
    li:before{
      color:@val;
    }
  }

  .showcase{
    .thumbnails{
      > div{
        &:hover{
          box-shadow: 0 0 6px 0 @val;
        }
      }
    }
  }

  .types-container{
    .types {
      > div {
        &:hover {
          box-shadow: inset 0 0 0 2px @val;
        }
      }
    }
  }
  .modal .modal-content{
    border-color:@val;
  }
  .modal .modal-content .header .close-btn i{
    color:@val;
  }
  .customers-slider a.icon i svg{
    .arrow{
      fill:@val;
    }
    .border{
      stroke:@val;
    }
  }
  .slick-prev:before,.slick-next:before{
    color: @val !important;
    border-color:@val !important;
  }
  .tabs:not(.price-tabs) .header ul li button:after{
    color:@val;
  }
  footer .footer-buy-now-container .button{
    background-color: @val;
  }
  footer .footer-price-container .button{
    border:1px solid @val;
  }
  footer .footer-price-container .button.active{
    background-color: @val;
    &:hover{
      background-color:transparent;
      border: 1px solid @val;
      box-shadow:none;
    }
  }
  .footer-menu .subscribe-form button{
    background-color:@val !important;
    border:none !important;
    color:#fff !important;
  }
  .complete-systems-or-software-only .title{
    color:@val;
  }
}